Subject: Re: [PATCH v2 -mm 8/9] netconsole: Support multiple logging targets

From: KII Keiichi <[email-masked]>
Date: Fri, 13 Jul 2007 22:49:27 +0900

Hi Satyam,

> From: Satyam Sharma <[email-masked]>
> 
> [8/9] netconsole: Support multiple logging targets
> 
> This patch introduces support for multiple targets:
> 
> Let's keep this out of CONFIG_NETCONSOLE_DYNAMIC as well -- this is useful
> even in the default case and (including the infrastructure introduced in
> previous patches) doesn't really add too many bytes to module text. All the
> complexity (and size) comes with the dynamic reconfigurability / userspace
> interface patch, and so it's plausible users may want to keep this enabled
> but that disabled (say to avoid a dep on CONFIG_CONFIGFS_FS too).
> 
> Also update documentation to mention the use of ";" separator to specify
> multiple logging targets in the boot/module option string.
> 
> Brief overview:
> 
> We maintain a target_list (and corresponding lock). Get rid of the static
> "default_target" and introduce allocation and release functions for our
> netconsole_target objects (but keeping sure to preserve previous behaviour
> such as default values). During init_netconsole(), ";" is used as the
> separator to identify multiple target specifications in the boot/module
> option string. The target specifications are parsed and netpolls setup.
> During exit, the target_list is torn down and all items released.
> 
> Signed-off-by: Satyam Sharma <[email-masked]>
> Cc: Keiichi Kii <[email-masked]>
> 
Signed-off-by: Keiichi Kii <[email-masked]>

Thanks
--
Keiichi KII
NEC Corporation OSS Platform Development Division
E-mail: [email-masked]